<!-- markdownlint-disable MD033 MD041 -->

<div align="center">
    <h1>🔒 OAuth Fabric</h1>
    <p>OAuth2 authentication for Minecraft Fabric servers</p>
    <img src="https://img.shields.io/badge/Java-%23ED8B00.svg?logo=openjdk&logoColor=white" alt="Java"/>
</div>
<hr>

## Installing

Download the latest release from the releases tab or go to the [latest release directly](https://code.lilyvex.dev/lily/oauth-fabric/releases/latest), then put it in your Fabric server's `mods` directory.

## Building from source

Ensure that JDK 21 is installed and in your system path, then:

- on Linux / macOS run:

```sh
chmod +x ./gradlew
./gradlew build
```

- and on Windows run:

```sh
gradlew.bat build
```

## Contributing

Fork this repository and create a branch for your changes, then create a pull request for the `main` branch with a "why", "what", and "how" to explain your changes.